package com.zjyr.beidouservice.adapter.impl.netty;

import io.netty.channel.Channel;
import jakarta.annotation.PreDestroy;

/**
 * The interface Socket server.
 */
public interface ISocketServer {
    /**
     * Start.
     *
     * @throws Exception the exception
     */
    void start() throws Exception;

    /**
     * Send data int.
     *
     * @param ch   the ch
     * @param data the data
     */
    void sendData(Channel ch, Object data);

    /**
     * Destory.
     *
     * @throws InterruptedException the interrupted exception
     */
    @PreDestroy
    void destory() throws InterruptedException;
}
