package com.zjyr.beidouservice.mapper;

import com.zjyr.beidouservice.pojo.entry.ControlDeviceType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * The interface Control device type mapper.
 */
public interface ControlDeviceTypeMapper {
    /**
     * Select all list.
     *
     * @return the list
     */
    List<ControlDeviceType> selectAll();

    /**
     * Add device types int.
     *
     * @param typeLists the type lists
     * @return the int
     */
    int addDeviceTypes(@Param("typeLists") List<ControlDeviceType> typeLists);
}
