package com.zjyr.beidouservice.pojo.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DevAttributesDO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 设备状态
     */
    private Integer deviceStatus;

    /**
     * 警报器型号
     */
    private String alarmModel;

    /**
     * 警报器状态
     */
    private String alarmStatus;

    /**
     * 警报器类型
     */
    private Integer alarmType;

    /**
     * 警报器功率
     */
    private Integer alarmPower;

    /**
     * 警报器厂家
     */
    private Integer alarmManufacturer;

    /**
     * 警报器安装时间
     */
    private Date alarmInstallTime;

    /**
     * 控制器型号
     */
    private String controlModel;
    /**
     * 控制器状态
     */
    private Integer controlStatus;

    /**
     * 控制器厂家
     */
    private Integer controlManufacturer;

    /**
     * 控制器安装时间
     */
    private Date controlInstallTime;

    /**
     * 后备电源型号
     */
    private String powerModel;

    /**
     * 后备电源状态
     */
    private Integer powerStatus;

    /**
     * 后备电源类型
     */
    private Integer powerType;

    /**
     * 后备电源功率
     */
    private Integer power;

    /**
     * 后备电源厂家
     */
    private Integer powerManufacturer;

    /**
     * 后备电源安装时间
     */
    private Date powerInstallTime;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


}
