package com.zjyr.beidouservice.pojo.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DevBasicInfoDO implements Serializable {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备描述
     */
    private String deviceDesc;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 地市编码
     */
    private String cityCode;

    /**
     * 区编码
     */
    private String countyCode;

    /**
     * 所属单位
     */
    private String subordinateUnits;

    /**
     * 控制站编号
     */
    private Integer controlStationId;

    /**
     * 管理员
     */
    private String administrator;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 安装地址
     */
    private String installAddr;

    /**
     * 经度
     */
    private String latitude;

    /**
     * 纬度
     */
    private String longitude;

    /**
     * 设备数据、预留字段
     */
    private String devData;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;


}
