package com.zjyr.beidouservice.pojo.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class DevTaskDO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务id，前端界面的记录编号，可以按照规则添加前缀名
     */
    private String taskId;

    /**
     * 控制模式 0:无声演练模式 1:大声警报模式
     */
    private Integer controlMode;

    /**
     * 区id=？区编码
     */
    private String countyCode;

    /**
     * 控制类型:。1:单点控制 2:市属控制 3:区属控制
     */
    private Integer controlType;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 执行命令
     */
    private String execCmd;

    /**
     * 执行状态
     */
    private Integer execState;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
