package com.zjyr.beidouservice.pojo.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class LocCountyDO implements Serializable {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 区名称
     */
    private String countyName;

    /**
     * 区编码
     */
    private String countyCode;
    /**
     * 地市编码
     */
    private String cityCode;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 地市北斗号
     */
    private String beidouBroadcastId;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
