package com.zjyr.beidouservice.pojo.dto;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * The type Base protocol dto.
 *
 * @param <T> the type parameter
 */
@Data
@NoArgsConstructor
@JsonPropertyOrder({"ver", "cryptoType", "timeStamp", "msgContent"})
public class BaseProtocolDTO<T> {
    /**
     * The Ver.
     */
    private Integer ver;

    /**
     * The Crypto type.
     */
    private Integer cryptoType;

    /**
     * The Time stamp.
     */
    private Long timeStamp;

    /**
     * The Msg content.
     */
    private T msgContent;
}
