package com.zjyr.beidouservice.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceTaskExecReqDTO {
    /**
     * 控制通道。2:无线 3:北斗 4:电话 5:all-前端处罚位置在哪？
     */
    private Integer controlChannel;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 地市编码
     */
    private String cityCode;

    /**
     * 区编码
     */
    private String countyCode;

    /**
     * 设备id，多个设备,相隔
     */
    private String deviceIds;

    /**
     * 控制模式 0:无声演练模式 1:大声警报模式-前端处罚位置在哪？
     */
    private Integer controlMode;

    /**
     * 执行命令
     */
    private String execCmd;
}
