package com.zjyr.beidouservice.service;

import com.zjyr.beidouservice.pojo.dto.DevTaskExecRespDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceTaskExecReqDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceTaskRespDTO;


import java.util.List;

public interface DeviceTaskService {
    /**
     * 获取任务信息
     *
     * @return DeviceTaskRespDTO
     */
    List<DeviceTaskRespDTO> getDeviceTaskInfo();



    /**
     * 执行任务
     *
     * @return MyResp
     */
    DevTaskExecRespDTO deviceTaskExec(DeviceTaskExecReqDTO deviceTaskExecReqDTO);
}
