package com.zjyr.beidouservice.mapper;

import com.zjyr.beidouservice.pojo.entry.ControlDevice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * The interface Control device mapper.
 */
public interface ControlDeviceMapper {
    /**
     * Select all list.
     *
     * @return the list
     */
    List<ControlDevice> selectAll();

    /**
     * Add control device int.
     *
     * @param device the device
     * @return the int
     */
    int addControlDevice(@Param("device") ControlDevice device);

    /**
     * Upgrade control device int.
     *
     * @param device the device
     * @return the int
     */
    int upgradeControlDevice(@Param("dev") ControlDevice device);
}
