package com.zjyr.beidouservice.pojo.dataobject;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TaskDO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务id，前端界面的记录编号，可以按照规则添加前缀名
     */
    private String taskId;

    /**
     * 控制通道。2:无线 3:北斗 4:电话 5:all
     */
    private Integer controlChannel;

    /**
     * 北斗号，如果以市为单位，则携带市北斗号，区为单位携带区北斗号，具体设备则携带区北斗号
     */
    private Integer beidouId;

    /**
     * 省份编码
     */
    private String provinceCode;

    /**
     * 地市编码
     */
    private String cityCode;

    /**
     * 区编码
     */
    private String countyCode;

    /**
     * 设备id，多个设备,相隔
     */
    private String deviceIds;

    /**
     * 执行设备数量
     */
    private Integer deviceNum;

    /**
     * 执行正常设备数量
     */
    private Integer execNormalNum;

    /**
     * 执行异常设备数量
     */
    private Integer execAbnormalNum;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
