package com.zjyr.beidouservice.pojo.dto.city;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@NoArgsConstructor
public class CityCountyDTO {
    /**
     * 省份编码
     */
    private String provinceCode;
    /**
     * 地市名称
     */
    private String cityName;

    /**
     * 地市编码
     */
    private String cityCode;

    /**
     * 地市包含的区信息
     */
    List<CountyContent> countyList;
}
