package com.zjyr.beidouservice.pojo.po;

import com.zjyr.beidouservice.common.impl.BeidouAdapterTypeName;
import lombok.Builder;
import lombok.Data;

/**
 * The type Beidou adapter device.
 */
@Builder
@Data
public class BeidouAdapterDevice {
    /**
     * The Id.
     */
    private long id;
    /**
     * The Adapter type.
     */
    private BeidouAdapterTypeName adapterType;
    /**
     * The Adapter addr.
     */
    private String adapterAddr;
    private int sendEnabled;
    private int beidouStatus;
    private String beidouChannelStatus;
    /**
     * The Beidou signal strength.
     */
    private String beidouSignalStrength;
    /**
     * The Wireless status.
     */
    private int wirelessStatus;
    /**
     * The Telphone status.
     */
    private int telphoneStatus;
}
