package com.zjyr.beidouservice.pojo.vo;

import io.netty.channel.Channel;
import lombok.Builder;
import lombok.Data;
import lombok.RequiredArgsConstructor;

/**
 * The type Control adapter socket ctx.
 */
@Data
@Builder
@RequiredArgsConstructor
public class ControlAdapterSocketCtx {
    /**
     * The Control adapter id.
     */
    private Long    controlAdapterId;
    /**
     * The Channel.
     */
    private Channel channel;

    public ControlAdapterSocketCtx(Long id, Channel ch) {
        this.controlAdapterId = id;
        this.channel          = ch;
    }
}
