package com.zjyr.beidouservice.pojo.vo.binary;

import com.zjyr.beidouservice.common.impl.*;
import lombok.Builder;
import lombok.Data;

/**
 * The type Controller status.
 */
@Data
@Builder
public class ControllerStatus {
    private byte[] beidouFreq;
    /**
     * The Beidou signal strength.
     */
    private byte[]           beidouSignalStrength;
    private SendStatusName sendStatus;
    private ControlChannelStatus beidouStatus;
    private ControlChannelStatus wirelessStatus;
    private ControlChannelStatus telphoneStatus;

}
