package com.zjyr.beidouservice.pojo.vo.binary;

import lombok.Builder;
import lombok.Data;

/**
 * The type Message content.
 *
 * @param <T> the type parameter
 */
@Data
@Builder
public class MessageContent<T> {
    /**
     * The Msg body.
     */
    T msgBody;
    /**
     * The Msg type.
     */
    private byte  msgType;
    /**
     * The Msg size.
     */
    private short msgSize;
}
