package com.zjyr.beidouservice.pojo.vo.binary;

import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * The type Query sensor protocol.
 */
@Data
@Builder
public class QuerySensorProtocol {
    /**
     * The Province.
     */
    private byte province;
    /**
     * The City.
     */
    private byte city;

    /**
     * The N control info.
     */
    private byte                        nControlInfo;
    /**
     * The Controll contents.
     */
    private List<SensorControllContent> controllContents;

}
