package com.zjyr.beidouservice.pojo.vo.binary;

import com.zjyr.beidouservice.common.impl.SensorControlModeName;
import com.zjyr.beidouservice.common.impl.SensorControlTunnelName;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * The type Sensor control protocol.
 */
@Data
@Builder
public class SensorControlProtocol {
    /**
     * The Control tunnel.
     */
    private SensorControlTunnelName     controlTunnel;
    /**
     * The Tunnel addr.
     */
    private byte[]                      tunnelAddr;
    /**
     * The Month.
     */
    private byte                        month;
    /**
     * The Days.
     */
    private byte                        days;
    /**
     * The Hour.
     */
    private byte                        hour;
    /**
     * The Minute.
     */
    private byte                        minute;
    /**
     * The Province.
     */
    private byte                        province;
    /**
     * The City.
     */
    private byte                        city;
    /**
     * The Control mode.
     */
    private SensorControlModeName       controlMode;
    /**
     * The Control command.
     */
    private byte                        controlCommand;
    /**
     * The N control info.
     */
    private byte                        nControlInfo;
    /**
     * The Controll contents.
     */
    private List<SensorControllContent> controllContents;
}
