package com.zjyr.beidouservice.service;
import com.zjyr.beidouservice.pojo.dto.AlarmDevRespDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceReqDTO;
import com.zjyr.beidouservice.pojo.dto.DeviceRespDTO;
import com.zjyr.beidouservice.pojo.dto.ManufacturerRespDTO;

import java.util.List;


public interface DeviceService {
    /**
     * 获取省份信息
     *
     * @return 省份信息
     */
    List<DeviceRespDTO> getDeviceInfo(DeviceReqDTO deviceReqDTO);

    /**
     * 获取厂家信息
     *
     * @return  厂家信息
     */
   ManufacturerRespDTO getDeviceManufacturerInfo();

    /**
     * 获取警报终端信息
     *
     * @return 省份信息
     */
   AlarmDevRespDTO getAlarmDeviceInfo();
}
